-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_AREA_BISOGNO]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT	
	SET @ID_ELAB = C6MART.GETIDELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_AREA_BISOGNO',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	 DELETE FROM [C6Mart].[AREA_BISOGNO] --truncate
	INSERT INTO [C6Mart].[AREA_BISOGNO] --insert from CONSUNI, avoiding staging
	select *, 58 from CONSUNI.[CatalogoProdotti].dbo.NeedArea
	--TRUNCATE TABLE C6MART.AREA_BISOGNO
	--INSERT INTO [C6Mart].[AREA_BISOGNO]
	--	   ([ID_AREA]
	--	   ,[NOME_AREA]
	--	   ,[ORDINAMENTO]
	--	   ,[ID_ELAB])
	--SELECT 
	--	LTRIM(RTRIM(NEEDAREA.OID_)) AS ID_AREA,
	--	LTRIM(RTRIM(NEEDAREA.AREANAME)) AS NOME_AREA,
	--	NEEDAREA.AREASORTORDER AS ORDINAMENTO,
	--	@ID_ELAB AS ID_ELAB
	--FROM C6STAGING.NEEDAREA
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_AREA_BISOGNO' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_AREA_BISOGNO'
		)
END